"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
const fast_json_patch_1 = require("fast-json-patch");
const inversify_1 = require("inversify");
/**
 * Base class for API controllers. Provides access to the
 * current HTTP context as protected fields, and convenience
 * method for applying JSON patches.
 */
let Controller = class Controller {
    setLogger(logger) {
        this._logger = logger;
    }
    setRequest(request) {
        this.request = request;
    }
    setResponse(response) {
        this.response = response;
    }
    /**
     * Apply a set of JSON patch operations to an
     * object instance.
     *
     * @param T The type of object to be patched.
     * @param patch The operations to apply.
     * @param obj The object instance to apply operations to.
     */
    applyJsonPatch(patch, obj) {
        if (this._logger) {
            this._logger.trace("Applying JSON patch\nObject: %j\nPatch: %j", obj, patch);
        }
        let result = fast_json_patch_1.applyPatch(obj, patch);
        return result.newDocument;
    }
};
Controller = __decorate([
    inversify_1.injectable()
], Controller);
exports.Controller = Controller;
//# sourceMappingURL=Controller.js.map