"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const HeaderParameterExtractor_1 = require("../../../parameters/HeaderParameterExtractor");
const DecoratorRegistry_1 = require("../../../reflection/DecoratorRegistry");
/**
 * Decorator which injects a HTTP request header as a parameter value.
 *
 * Value passed to the method will be a string.
 *
 * @param headerName The name of the header to inject.
 */
function header(headerName, apiParamInfo) {
    return (classDefinition, methodName, paramIndex) => {
        let controller = DecoratorRegistry_1.DecoratorRegistry.getOrCreateController(classDefinition.constructor);
        let endpoint = DecoratorRegistry_1.DecoratorRegistry.getOrCreateEndpoint(controller, methodName);
        endpoint.parameterExtractors[paramIndex] = new HeaderParameterExtractor_1.HeaderParameterExtractor(headerName, apiParamInfo);
    };
}
exports.header = header;
//# sourceMappingURL=header.js.map