"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const UserParameterExtractor_1 = require("../../../parameters/UserParameterExtractor");
const DecoratorRegistry_1 = require("../../../reflection/DecoratorRegistry");
/**
 * Decorator which injects the current authentication principal as a parameter value.
 *
 * Value passed to the method will be an implementation of the `Principal` interface.
 */
function principal(classDefinition, methodName, paramIndex) {
    let controller = DecoratorRegistry_1.DecoratorRegistry.getOrCreateController(classDefinition.constructor);
    let endpoint = DecoratorRegistry_1.DecoratorRegistry.getOrCreateEndpoint(controller, methodName);
    endpoint.parameterExtractors[paramIndex] = new UserParameterExtractor_1.UserParameterExtractor();
}
exports.principal = principal;
//# sourceMappingURL=principal.js.map