"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const RawBodyParameterExtractor_1 = require("../../../parameters/RawBodyParameterExtractor");
const DecoratorRegistry_1 = require("../../../reflection/DecoratorRegistry");
/**
 * Decorator which injects the raw HTTP request body as a parameter value.
 *
 * Value passed to the method will be a Buffer.
 */
function rawBody(classDefinition, methodName, paramIndex) {
    let controller = DecoratorRegistry_1.DecoratorRegistry.getOrCreateController(classDefinition.constructor);
    let endpoint = DecoratorRegistry_1.DecoratorRegistry.getOrCreateEndpoint(controller, methodName);
    endpoint.parameterExtractors[paramIndex] = new RawBodyParameterExtractor_1.RawBodyParameterExtractor();
}
exports.rawBody = rawBody;
//# sourceMappingURL=rawBody.js.map