"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DecoratorRegistry_1 = require("../../reflection/DecoratorRegistry");
/**
 * Decorator for a controller class to describe it in any generated
 * OpenAPI specification.
 *
 * @param name Name of the API used to categorise endpoints in this controller.
 */
function api(name, description) {
    return (classDefinition) => {
        let controller = DecoratorRegistry_1.DecoratorRegistry.getOrCreateController(classDefinition);
        DecoratorRegistry_1.DecoratorRegistry.getLogger().debug("@api('%s'%s) decorator executed for controller: %s", name, description ? `, '${description}'` : "", controller.name);
        controller.apiName = name;
        controller.apiDescription = description;
    };
}
exports.api = api;
//# sourceMappingURL=api.js.map