"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
const inversify_1 = require("inversify");
/**
 * Base class for implementing error interceptors that are invoked
 * to handle errors thrown by endpoints.
 */
let ErrorInterceptor = class ErrorInterceptor {
    constructor() {
        this.endpointTarget = "*";
    }
    /**
     * Should this interceptor handle a given endpoint error?
     *
     * @param controller Class name of the controller where the error occurred.
     * @param endpoint Name of the endpoint; format is ${ClassName}:${MethodName}.
     *
     * @returns If this is a global error interceptor, denoted by a endpointTarget
     *          that equals "*", return true. Otherwise return whether the endpointTarget
     *          or controllerTarget match the controller or endpoint respectively.
     */
    shouldIntercept(controller, endpoint) {
        return this.endpointTarget === "*" ||
            this.endpointTarget === endpoint ||
            this.controllerTarget === controller;
    }
};
ErrorInterceptor = __decorate([
    inversify_1.injectable(),
    __metadata("design:paramtypes", [])
], ErrorInterceptor);
exports.ErrorInterceptor = ErrorInterceptor;
//# sourceMappingURL=ErrorInterceptor.js.map