"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const BaseParameterExtractor_1 = require("./BaseParameterExtractor");
class HeaderParameterExtractor extends BaseParameterExtractor_1.BaseParameterExtractor {
    constructor(name, apiParamInfo) {
        super(HeaderParameterExtractor, apiParamInfo);
        this.name = name;
        this.source = "header";
    }
    extract(request) {
        this.logger.debug("Extracting header '%s' from request", this.name);
        let headerValue = request.headers[this.name];
        this.logger.trace("Header '%s' value: %s", this.name, headerValue);
        return headerValue;
    }
}
exports.HeaderParameterExtractor = HeaderParameterExtractor;
//# sourceMappingURL=HeaderParameterExtractor.js.map