"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const BaseParameterExtractor_1 = require("./BaseParameterExtractor");
class PathParameterExtractor extends BaseParameterExtractor_1.BaseParameterExtractor {
    constructor(name, apiParamInfo) {
        super(PathParameterExtractor, apiParamInfo);
        this.name = name;
        this.source = "path";
    }
    extract(request) {
        this.logger.debug("Extracting path parameter '%s' from request", this.name);
        let pathParamValue = request.params[this.name];
        this.logger.trace("Path parameter '%s' value: %s", this.name, pathParamValue);
        return pathParamValue;
    }
}
exports.PathParameterExtractor = PathParameterExtractor;
//# sourceMappingURL=PathParameterExtractor.js.map