"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const BaseParameterExtractor_1 = require("./BaseParameterExtractor");
class QueryParameterExtractor extends BaseParameterExtractor_1.BaseParameterExtractor {
    constructor(name, apiParamInfo) {
        super(QueryParameterExtractor, apiParamInfo);
        this.name = name;
        this.source = "query";
    }
    extract(request) {
        this.logger.debug("Extracting query parameter '%s' from request", this.name);
        let queryParamValue = request.query[this.name];
        this.logger.trace("Query parameter '%s' value: %s", this.name, queryParamValue);
        return queryParamValue;
    }
}
exports.QueryParameterExtractor = QueryParameterExtractor;
//# sourceMappingURL=QueryParameterExtractor.js.map