"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const BaseParameterExtractor_1 = require("./BaseParameterExtractor");
class RawBodyParameterExtractor extends BaseParameterExtractor_1.BaseParameterExtractor {
    constructor() {
        super(RawBodyParameterExtractor);
        this.source = "virtual";
        this.name = "raw-body";
    }
    extract(request) {
        this.logger.debug("Extracting raw body from request");
        let rawBody = request.isBase64Encoded ?
            Buffer.from(request.rawBody, "base64") :
            Buffer.from(request.rawBody);
        this.logger.trace("Request raw body size in bytes: %d", rawBody.byteLength);
        return rawBody;
    }
}
exports.RawBodyParameterExtractor = RawBodyParameterExtractor;
//# sourceMappingURL=RawBodyParameterExtractor.js.map