"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("util");
const BaseParameterExtractor_1 = require("./BaseParameterExtractor");
class ResponseParameterExtractor extends BaseParameterExtractor_1.BaseParameterExtractor {
    constructor() {
        super(ResponseParameterExtractor);
        this.source = "virtual";
        this.name = "response";
    }
    extract(_, response) {
        this.logger.debug("Injecting response as parameter");
        if (this.logger.traceEnabled()) {
            this.logger.trace("Response:\n%s", util_1.inspect(response));
        }
        return response;
    }
}
exports.ResponseParameterExtractor = ResponseParameterExtractor;
//# sourceMappingURL=ResponseParameterExtractor.js.map