"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs = __importStar(require("fs"));
class ControllerLoader {
    static async loadControllers(controllersDirectory, logFactory) {
        let logger = logFactory.getLogger(ControllerLoader);
        logger.debug("Scanning directory for javascript files: %s", controllersDirectory);
        for (let file of fs.readdirSync(controllersDirectory)) {
            if (file.endsWith(".js")) {
                logger.debug("Importing javascript file: %s", file);
                await Promise.resolve().then(() => __importStar(require(`${controllersDirectory}/${file}`)));
            }
            else {
                logger.trace("Ignoring non javascript file in controllers directory: %s", file);
            }
        }
    }
}
exports.ControllerLoader = ControllerLoader;
//# sourceMappingURL=ControllerLoader.js.map