"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
const apiSecurity_1 = require("../decorator/open-api/apiSecurity");
/**
 * IAuthFilter implementation that supports the HTTP Basic authentication scheme.
 */
let BasicAuthFilter = class BasicAuthFilter {
    constructor() {
        this.authenticationSchemeName = "Basic";
    }
    /**
     * If the authentication scheme is 'Basic', returns a BasicAuth instance containing
     * the username and password, otherwise returns undefined.
     *
     * @param request Request context to use.
     */
    async extractAuthData(request) {
        if (request.auth.type === "Basic") {
            return {
                password: request.auth.password,
                username: request.auth.username
            };
        }
    }
};
BasicAuthFilter = __decorate([
    apiSecurity_1.apiSecurity("basic", {
        scheme: "basic",
        type: "http"
    })
], BasicAuthFilter);
exports.BasicAuthFilter = BasicAuthFilter;
//# sourceMappingURL=BasicAuthFilter.js.map