"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ApiBody_1 = require("./ApiBody");
/**
 * Describes the body of a HTTP request or response.
 */
class ApiBodyInfo extends ApiBody_1.ApiBody {
    /**
     * Copy any valid properties from another instance.
     */
    mergeInfo(otherInstance) {
        if (otherInstance.class) {
            this.class = otherInstance.class;
        }
        if (otherInstance.contentType) {
            this.contentType = otherInstance.contentType;
        }
        if (otherInstance.description) {
            this.description = otherInstance.description;
        }
        if (otherInstance.example) {
            this.example = otherInstance.example;
        }
        if (otherInstance.type) {
            this.type = otherInstance.type;
        }
    }
}
exports.ApiBodyInfo = ApiBodyInfo;
//# sourceMappingURL=ApiBodyInfo.js.map