import { interfaces } from "inversify/dts/interfaces/interfaces";
import { EndpointInfo } from "./EndpointInfo";
import { ErrorInterceptor } from "../../api/error/ErrorInterceptor";
import { ApiBodyInfo } from "../open-api/ApiBodyInfo";
export declare class ControllerInfo {
    readonly name: string;
    readonly classConstructor: Function;
    apiName?: string;
    apiDescription?: string;
    path?: string;
    consumes?: string;
    apiRequestInfo?: ApiBodyInfo;
    produces?: string;
    noAuth?: boolean;
    rolesAllowed?: string[];
    errorInterceptor?: interfaces.ServiceIdentifier<ErrorInterceptor>;
    endpoints: Map<string, EndpointInfo>;
    constructor(name: string, classConstructor: Function);
    getOrCreateRequestInfo(): ApiBodyInfo;
}
