/**
 * Base class for security principal returned
 * by an authentication filter upon successful
 * request authentication.
 *
 * Extend this class to define a custom principal.
 */
export declare abstract class Principal {
    protected _name: string;
    /**
     * Build a new principal.
     *
     * @param name Name of this principal.
     */
    constructor(name?: string);
    get name(): string;
}
